<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <body>
        <ui:component>
            <p:dialog
                id="AnexarU"
                header="Anexar Tipo pago"
                widgetVar="Anexarmarca"
                modal="true"
                resizable="false"
                closable="true"
                width="500" >
                <h:panelGroup id="detalleAnexar">
                    <h:form id="anexar">
                        <h:panelGrid columns="2" >
                            <p:column>
                                <h:outputLabel for="id" value="Id: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="id" value="#{cattipopagoMB.id}" readonly="true" style="width: 150px"/>
                             </p:column>
                            
                            <p:column>
                                <h:outputLabel for="nombre" value="Nombre: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="nombre" value="#{cattipopagoMB.descripcion}" style="width: 350px" required="true" requiredMessage="El campo nombre es requerido"/>
                             </p:column>
                            
                            <p:column>
                                <h:outputLabel for="nombre" value="Nombre: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:selectOneMenu id="tipo" value="#{cattipopagoMB.tipo}" style="width:350px">
                                    <f:selectItem itemLabel="Positivo" itemValue="1" />
                                    <f:selectItem itemLabel="Negativo" itemValue="-1" />
                                </p:selectOneMenu>
                             </p:column>
                            
                            <p:column>
                                <p:commandButton 
                                    value="Alta" 
                                    style="font-size:  100%"
                                    icon="ui-icon-contact"
                                    action="#{cattipopagoMB.anexarmarca()}">                        
                                </p:commandButton>
                            </p:column>   
                            <p:column>
                                <p:commandButton
                                    value="Cerrar"
                                    type="button"
                                    icon="ui-icon-circle-close"
                                    style="font-size:  100%" 
                                    onclick="PF('Anexarmarca').hide();">
                                </p:commandButton>
                            </p:column>
                        </h:panelGrid> 
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>
    </body>
</html>
